<template lang="pug">
.menu-item(v-if="isShow")
  router-link(:to="{ name: item.link }") {{ item.name }}
</template>

<script>
export default {
  name: 'Header',
  props: {
    item: {
      name: String,
      link: String,
      needAuth: Boolean
    }
  },
  computed: {
    isShow() {
      return this.item.needAuth ? this.$store.getters.authorized : true
    }
  }
}
</script>

<style lang="stylus" scoped>
@import '~@/stylus/mixins.styl'

.menu-item
  transition: box-shadow 0.2s
  &:hover
    box-shadow: 0px 5px 0px -3px mainColor
  a
    color: mainColor
    text-decoration: none
    font-size: 1.3em
    border-radius: 10px
    font-weight: 700
    padding: 5px 0
    &.router-link-exact-active
      color: lightColor
      padding: 5px 40px
      gradient()
</style>
